Fix deprecation warnings from containers